| Disk ARchive 2.7.14 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::crit_in_place_data_bigger Class Reference
API

returns true if the data of the first entry is bigger or equal to the one of the second entry More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions
| crit_in_place_data_bigger (const crit_in_place_data_bigger &ref)=default
| crit_in_place_data_bigger (crit_in_place_data_bigger &&ref) noexcept=default
crit_in_place_data_bigger & | operator= (const crit_in_place_data_bigger &ref)=default
crit_in_place_data_bigger & | operator= (crit_in_place_data_bigger &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

returns true if the data of the first entry is bigger or equal to the one of the second entry

this class always returns false if both entries are not plain files

Definition at line 223 of file criterium.hpp.

## Constructor & Destructor Documentation

## ◆ crit_in_place_data_bigger()

libdar::crit_in_place_data_bigger::crit_in_place_data_bigger | ( |  | ) |
| inline

Definition at line 226 of file criterium.hpp.

## Member Function Documentation

## ◆ clone()

virtual criterium * libdar::crit_in_place_data_bigger::clone | ( |  | ) | const
| inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 234 of file criterium.hpp.

## ◆ evaluate()

virtual bool libdar::crit_in_place_data_bigger::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp